package magie.assert;

/**
 * Interface IAssertManager is used to define Assert Managers, which can handle
 * a failed Assertion. There may be implementations to trace, print, display or
 * throw an Assert.
 * 
 * @author  Markus Giebeler
 * @version $Revision: 1.2 $ 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public interface IAssertManager {
 /**
  * handles a given assert
  *
  * @param ass (in) the Assert
  */
  public void handle(Assert ass);

} // end of class IAssertManager

