package magie.assert.testcase;

// imports
import magie.assert.*;
import com.debis.ntlib.junit.*;

/**
 * Class AssertTestCase is used to test ther Assert utility and its managers
 * 
 * add to the JUnit Test Suite Manager with String
 * 'magie.assert.testcase.AssertTestCase'
 * 
 * @author  Markus Giebeler 
 * @version $Revision: 1.1 $
 */
public class AssertTestCase extends TestCase {

  /** Constructor */
  public AssertTestCase(String name) {
    super(name);
  }

  public void testTimer() throws Exception {
    String s="";
    Assert.file();
    Assert.startTimer("Anfang");
    for(int i=0; i<2000; i++) {
      s=s+"239";
    }
    Assert.startTimer("Answer");
    for(int i=0; i<1000; i++) {
      s=s+"3223";
    }
    Assert.stopTimer("Answer");
    Assert.assertTimer("Test case testTimer()");
  }
 /**
  * Method is used to <enter description>
  */
  public void testAssertConsole() {
    Assert.console();
    Assert.assert("Simply a constant boolean", false);
    Assert.assert(false);
    Assert.assert(true);
    Assert.assertNotNull("Objekt ist null", null);
    Assert.assertNotNull("Objekt ist null", "irgendwas");
    Assert.assertNull("Objekt nicht null", null);
    Assert.assertNull("Objekt nicht null", "irgendwas");
    Assert.assertEquals("Ungleiche Integer", new Integer(42), new Integer(29));
    Assert.assertEquals("Ungleiche Strings", "Hut", "Schirm");
  }

 /**
  * Method is used to <enter description>
  */
  public void testAssertException() {
    Assert.exception();
    assertException("java.lang.RuntimeException", new TestCase("Assertion") {
      public void runTest() {
        Assert.assert("Assert throws exception", false);
      }
    });
  }

 /**
  * Method is used to <enter description>
  */
  public void testAssertFile() {
    Assert.file();
    Assert.assert("Assert traced to a file", false);
  }

 /**
  * Method is used to <enter description>
  */
  public void testAssertSilent() {
    Assert.silent();
    Assert.assert("Assert traced to a file", false);
  }

 /**
  * Method is used to <enter description>
  */
  public void testAssertDialog() {
    Assert.dialog();
    Assert.assertEquals("Two given numbers with the same value must be equal", 42, 69);
  }



} // end of class AssertTestCase

